Reprocessar log
curl --request POST \
--url https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId}/reprocess \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId}/reprocess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId}/reprocess';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Logs de entrega
Reprocessar log
Reenvia um evento a partir de um log de falha
POST
https://api.upag.io
/
v1
/
webhooks
/
{webhookId}
/
logs
/
{logId}
/
reprocess
Reprocessar log
curl --request POST \
--url https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId}/reprocess \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId}/reprocess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId}/reprocess';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Dispara nova tentativa de entrega e grava um novo log.
Endpoint
curl -X POST https://api.upag.io/v1/webhooks/aa0e8400-e29b-41d4-a716-446655440000/logs/bb0e8400-e29b-41d4-a716-446655440000/reprocess \
-H "Authorization: Bearer sk_test_your_api_key"
Resposta
200 OK — novo log da tentativa (ID diferente do log original).
Response
{
"id": "cc0e8400-e29b-41d4-a716-446655440000",
"webhookId": "aa0e8400-e29b-41d4-a716-446655440000",
"event": "charge.paid",
"method": "POST",
"url": "https://example.com/webhooks",
"statusCode": 200,
"duration": 85,
"retryCount": 1,
"success": true,
"createdAt": "2026-03-18T12:15:00.000Z"
}